aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-rsync-download-apprepo.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-09-28 13:59:36 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-09-28 13:59:36 +0200
commit43045124a49c1540882bd6bd7e00e4a4addac047 (patch)
treeeef83f3ffee44b71723bdd059ad0ba25b4eaf2d7 /jjb/common/include-apps-rsync-download-apprepo.sh
parent6e4b7d92946533bfc14bf067598277f05513431f (diff)
After merge, rebuild app
and upload it to the app repository folder on the download server for consumption. Change-Id: I3df70f0ce11f0d448999e9b54e637a53070e0439 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-apps-rsync-download-apprepo.sh')
-rw-r--r--jjb/common/include-apps-rsync-download-apprepo.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/jjb/common/include-apps-rsync-download-apprepo.sh b/jjb/common/include-apps-rsync-download-apprepo.sh
new file mode 100644
index 00000000..3d8e1e10
--- /dev/null
+++ b/jjb/common/include-apps-rsync-download-apprepo.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+echo -e "\n\n\n"
+echo "#########################################"
+echo -e "\n\n\n"
+# project branch date(latest)
+export RSYNCDST="/srv/download/AGL/apps/"
+export RSYNCSRC=$(pwd)/UPLOAD/
+LANG=C tree $RSYNCSRC
+
+set
+
+exit 0
+ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${RSYNCDST}
+rsync -avr -l --copy-unsafe-links -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC jenkins-slave@10.30.72.8:$RSYNCDST